.TH XSNAP 1
.PD
.ad b
.SH NAME
xsnap \- Take a snapshot of a region of the screen
.SH SYNOPSIS
\fBxsnap\fR
[\|\fB-display\fR displayname\|] 
[\|\fB-bd\fR border\|] 
[\|\fB-bw\fR borderwidth\|] 
[\|\fB-geometry\fR geometry\|] 
[\|\fB-icongeometry\fR icongeometry\|] 
[\|\fB-region\fR geometry\|] 
[\|\fB-iconic\fR\|] 
[\|\fB-name\fR name\|] 
[\|\fB-nograb\fR\|] 
[\|\fB-xpm\fR\|] 
[\|\fB-xwd\fR\|] 
[\|\fB-file\fR filename\|]
[\|\fB-convert\fR app\|]
[\|\fB-stdout\fR\|] 
[\|\fB-noshow\fR\|] 
.SH DESCRIPTION
.PP
The \fIxsnap\fP program allows one to take a snapshot of a specified
region of the screen.  If \fIxsnap\fP is run without a region being
specified, the user is prompted to interactively drag one out with the
mouse.  In this case, pressing button 1 will select one corner of the
region, and an opposite corner will be selected upon the release of
button 1. Pressing button 2 selectsthe whole window, while pressing
button 3 cancels the selection. A special case is when a region of
zero with and height is selected with button 1. In that case, the
selection is the last subwindow (in the hierarchy of subwindows) which
contains the selected point. Once the region is selected, a window
whose contents are a copy of this region is created, and various
actions can be taken through key bindings (upper or lower case is
irrelevant).

Pressing "q" or "Esc" in the xsnap window will exit the program. 
The captured region may also be stored to a file for later use, by
pressing 'p' or 'w'; 'p' stands for XPixmap format (*.xpm) and 'w' for
XWindow Dump format (*.xwd). Key 'z' enables compression through gzip,
while 'n' disables compression or file conversion. These last two key
bindings should of course be used before pressing 'p' or 'w'. All other 
keys have no effect except raising a help window.

Note that this program is a variant of the original \fIxsnap\fP program.
.SH OPTIONS
.TP 8
.B \-display \fIdisplay\fP
Specifies the display to use for both specifying and displaying the region.
.TP 8
.B \-bd \fIborder\fP
Border color of snapshot window.  Defaults to white.
.TP 8
.B \-bw \fIborder width\fP
Border width of snapshot window.  Defaults to 2.
.TP 8
.B \-geometry \fIgeom\fP
Geometry of snapshot window.  
.TP 8
.B \-icongeometry \fIgeom\fp
Geometry of icon.
.TP 8
.B \-iconic
If specified, snapshot window will start up in iconic state.
.TP 8
.B \-name \fIname\fp
Name for icon to be passed to window manager.
.TP 8
.B \-nograb
Do not grab the server during specification of region.
.TP 8
.B \-xpm
Store the pixmap in X PixMap format to the output.
.TP 8
.B \-xwd
Store the pixmap in X window dump format to the output.
.TP 8
.B \-file \fIfilename\fp
Store the output in the file \fIfilename\fp.  Overwrite if it already exists.
.TP 8
.B \-convert \fIapp\fp
Use application 'app' to convert the output file to another image format.
.TP 8
.B \-stdout
Write the pixmap to stdout (either as xpm or xwd).
.TP 8
.B \-noshow
Do not display the pixmap in a window.
.TP 8
.B \-show
Do display the pixmap in a window.
.TP 8
.B \-region \fIgeom\fP
The size and  location on the screen of the region to be copied.
.SH BUGS
.br
In PseudoColor mode, colormaps are supported only in case an entire 
window is captured by clicking with the first or second buttons.
Incorrect behavior may result on displays that support windows of 
different depths, or when the window carries elements which have 
different colormaps.
.br
Since it creates a pixmap for each snapshot, it can chew up server 
memory very fast. In this perspective, it can be useful to use to
option '-convert gzip' to compress the files on the fly.
.br
The icongeometry option  doesn't know about icon sizes.
.SH AUTHORS
Original version: Clauss Strauch
.br
                  Engineering Design Research Center
.br
                  Carnegie Mellon University
.sp 1
asnap version (xwd, atk, region options added):
.br   
                  Bill Janssen 
.br
                  Xerox Palo Alto Research Center
.sp 1
last version (region option fixed, xpm option added):
.br    
                  Arnaud Le Hors
.br
                  Bull Research France
.sp 1
millenium version (colormap support, conversion of image formats on the fly, 
save procedure; obsolete atk format removed):
.br    
                  Jean-Pierre Demailly
.br
                  Universit de Grenoble I

